from django.db import models
# Create your models here.

class Booksigner(models.Model):
    name = models.CharField(max_length=50)
    website = models.CharField(blank=True, max_length=200)
    email = models.EmailField(blank=True, )
    comment = models.CharField(blank=True, max_length=500)
    hosting = models.CharField(max_length=10)
"""     def __str__(self) -> str:
        return self.name """
"""     if(strpos($_SERVER["HTTP_HOST"], ".onion")){ $hosting = "tor!";}
        elseif(strpos($_SERVER["HTTP_HOST"], ".i2p")){ $hosting = "i2p!";}
        elseif(strpos($_SERVER["HTTP_HOST"], ".fai")){ $hosting = "fai!";}
        else{$hosting = "???!";} """